<?php
class tweet_afo_settings {

	static $title;
	
	public function __construct() {
		self::$title = __('Recent Tweet Widget Settings','twitter-feed-afo');
		$this->load_settings();
	}
	
	public function show_message(){
		if(isset($GLOBALS['msg'])){
			echo '<div class="updated"><p>'.$GLOBALS['msg'].'</p></div>';
			unset($GLOBALS['msg']);
		}
	}
		
	public function  tweet_widget_afo_options () {
	echo '<div class="wrap">';
	global $wpdb;
	
	$afo_twitteruser = get_option('afo_twitteruser');
	$afo_notweets = get_option('afo_notweets');
	$afo_consumerkey = get_option('afo_consumerkey');
	$afo_consumersecret = get_option('afo_consumersecret');
	$afo_accesstoken = get_option('afo_accesstoken');
	$afo_accesstokensecret = get_option('afo_accesstokensecret');
	
	$this->show_message();
	$this->twitter_feed_pro_add();
	$this->help_support();
	?>
	<form name="f" method="post" action="">
	<input type="hidden" name="option" value="tweet_widget_afo_save_settings" />
     <?php wp_nonce_field( 'tweet_widget_afo_save_action', 'tweet_widget_afo_save_action_field' ); ?>
	<table width="100%" border="0" style="background-color:#fff; border:1px solid #ccc; margin:2px 0px; padding:10px;">
	  <tr>
		<td colspan="2"><h3><?php echo self::$title;?></h3></td>
	  </tr>
	  <tr>
		<td width="300"><strong><?php _e('Twitter Username', 'twitter-feed-afo');?> <font color="red">(<?php _e('required', 'twitter-feed-afo');?>)</font></strong></td>
		<td><input type="text" name="afo_twitteruser" value="<?php echo $afo_twitteruser;?>" /></td>
	  </tr>
	   <tr>
		<td><strong><?php _e('No of Tweets', 'twitter-feed-afo');?> </strong></td>
		 <td><input type="text" name="afo_notweets" value="<?php echo $afo_notweets;?>" />&nbsp;<?php _e('Default is 5', 'twitter-feed-afo');?></td>
	  </tr>
	   <tr>
		<td><strong><?php _e('Consumer Key', 'twitter-feed-afo');?> <font color="red">(<?php _e('required', 'twitter-feed-afo');?>)</font></strong></td>
		 <td><input type="text" name="afo_consumerkey" value="<?php echo $afo_consumerkey;?>" /></td>
	  </tr>
	   <tr>
		<td><strong><?php _e('Consumer Secret', 'twitter-feed-afo');?> <font color="red">(<?php _e('required', 'twitter-feed-afo');?>)</font></strong></td>
		 <td><input type="text" name="afo_consumersecret" value="<?php echo $afo_consumersecret;?>" /></td>
	  </tr>
	  <tr>
		<td><strong><?php _e('Access Token', 'twitter-feed-afo');?> <font color="red">(<?php _e('required', 'twitter-feed-afo');?>)</font></strong></td>
		 <td><input type="text" name="afo_accesstoken" value="<?php echo $afo_accesstoken;?>" /></td>
	  </tr>
	  <tr>
		<td><strong><?php _e('Access Token Secret', 'twitter-feed-afo');?> <font color="red">(<?php _e('required', 'twitter-feed-afo');?>)</font></strong></td>
		 <td><input type="text" name="afo_accesstokensecret" value="<?php echo $afo_accesstokensecret;?>" /></td>
	  </tr>
	  <tr>
		<td>&nbsp;</td>
		<td><input type="submit" name="submit" value="<?php _e('Save', 'twitter-feed-afo');?>" class="button button-primary button-large" /></td>
	  </tr>
	  <tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	  </tr>
	  <tr>
		<td colspan="2">You need to create a new twitter app and enter all the required data mentioned in the form. <br />
		Please log in to <a href="https://apps.twitter.com/" target="_blank">https://apps.twitter.com/</a> with your twitter account <strong>Username</strong> and <strong>Password</strong>. And click on the <strong>Create new app</strong> button.<br />
		A new window will open. Enter all the relevant data, and follow the instructions. Your new app will be created.<br />
	Now on the <strong>API Keys</strong> tab you will get all the data required for the plugin to work.
	</td>
	  </tr>
	</table>
	</form>
	<?php 
	$this->donate();
	echo '</div>';
	}
	
	public function recent_tweet_afo_text_domain(){
		load_plugin_textdomain('twitter-feed-afo', FALSE, basename( dirname( __FILE__ ) ) .'/languages');
	}
		
	public function help_support(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFFF; border:1px solid #CCCCCC; padding:10px; margin:2px 0px;">
	  <tr>
		<td align="right"><a href="https://www.aviplugins.com/support.php" target="_blank">Help and Support</a> <a href="https://www.aviplugins.com/rss/news.xml" target="_blank"><img src="<?php echo  plugin_dir_url( __FILE__ ) . '/images/rss.png';?>" style="vertical-align: middle;" alt="RSS"></a></td>
	  </tr>
	</table>
	<?php
	}
	
	private function donate(){	?>
	<table width="100%" border="0" style="background-color:#FFF; border:1px solid #ccc; margin:2px 0px; padding-right:10px;">
	 <tr>
	 <td align="right"><a href="https://www.aviplugins.com/donate/" target="_blank">Donate</a> <img src="<?php echo  plugin_dir_url( __FILE__ ) . '/images/paypal.png';?>" style="vertical-align: middle;" alt="PayPal"></td>
	  </tr>
	</table>
	<?php
	}
	
	private function twitter_feed_pro_add(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFD2; border:1px solid #E6DB55; padding:10px; margin:2px 0px;">
  <tr>
    <td><p>The PRO version of the plugin has option to display feeds from <strong>Facebook, Twitter, YouTube, Flickr</strong> accounts. Feeds can be Filtered by social accounts. Check out <a href="http://aviplugins.com/demo/social-feed/" target="_blank">Live Demo</a> Multiple social feeds can be created. Get if for <strong>USD 2.00</strong> only <a href="https://www.aviplugins.com/social-feeds-pro/">Please click here for details</a></p></td>
  </tr>
</table>
	<?php }
	
	public function tween_widget_afo_menu () {
		add_options_page( 'Recent Tweet Widget', 'Tweet Widget Settings', 'activate_plugins', 'tween_widget_afo_menu', array( $this,'tweet_widget_afo_options') );
	}
	
	public function tweet_widget_afo_save_settings(){
		if(isset($_POST['option']) and sanitize_text_field($_POST['option']) == "tweet_widget_afo_save_settings"){
			
			if ( ! isset( $_POST['tweet_widget_afo_save_action_field'] ) || ! wp_verify_nonce( $_POST['tweet_widget_afo_save_action_field'], 'tweet_widget_afo_save_action' ) ) {
			   wp_die( 'Sorry, your nonce did not verify.');
			} 
			
			if( isset( $_POST['afo_twitteruser'] ) ){
				update_option( 'afo_twitteruser', sanitize_text_field($_POST['afo_twitteruser']) );
			} else {
				delete_option( 'afo_twitteruser' );
			}
			
			if( isset( $_POST['afo_notweets'] ) ){
				update_option( 'afo_notweets', sanitize_text_field($_POST['afo_notweets']) );
			} else {
				delete_option( 'afo_notweets' );
			}
			
			if( isset( $_POST['afo_consumerkey'] ) ){
				update_option( 'afo_consumerkey', sanitize_text_field($_POST['afo_consumerkey']) );
			} else {
				delete_option( 'afo_consumerkey' );
			}
			
			if( isset( $_POST['afo_consumersecret'] ) ){
				update_option( 'afo_consumersecret', sanitize_text_field($_POST['afo_consumersecret']) );
			} else {
				delete_option( 'afo_consumersecret' );
			}
			
			if( isset( $_POST['afo_accesstoken'] ) ){
				update_option( 'afo_accesstoken', sanitize_text_field($_POST['afo_accesstoken']) );
			} else {
				delete_option( 'afo_accesstoken' );
			}
			
			if( isset( $_POST['afo_accesstokensecret'] ) ){
				update_option( 'afo_accesstokensecret', sanitize_text_field($_POST['afo_accesstokensecret']) );
			} else {
				delete_option( 'afo_accesstokensecret' );
			}
						
			$GLOBALS['msg'] = 'Settings saved successfully.';
		}
	}
	
	public function load_settings(){
		add_action( 'admin_menu' , array( $this, 'tween_widget_afo_menu' ) );
		add_action( 'admin_init', array( $this, 'tweet_widget_afo_save_settings' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'register_plugin_styles') );
		add_action( 'plugins_loaded',  array( $this, 'recent_tweet_afo_text_domain' ) );
	}
	
	public function register_plugin_styles() {
		wp_enqueue_style( 'style_tweet_widget', plugins_url( 'twitter-feed-afo/style_tweet_widget.css' ) );
	}
	
}
new tweet_afo_settings;
